Results 1 to 6 of 6

Thread: Failed to load steamui.so

  1. #1
    Join Date
    Apr 2011
    Location
    Nutley, NJ USA
    Posts
    354

    Default Failed to load steamui.so

    Code:
    wellywu@linux-3uuk:~> steam
    Running Steam on opensuse 20180403 64-bit
    STEAM_RUNTIME is enabled automatically
    Pins up-to-date!
    Installing breakpad exception handler for appid(steam)/version(1522101301)
    No protocol specified
    Installing breakpad exception handler for appid(steam)/version(1522101301)
    Installing breakpad exception handler for appid(steam)/version(1522101301)
    Failed to load steamui.so - dlerror(): /usr/lib/libpango-1.0.so.0: undefined symbol: fribidi_get_par_embedding_levels_ex
    No protocol specified
    Installing breakpad exception handler for appid(steam)/version(1522101301)
    Installing breakpad exception handler for appid(steam)/version(1522101301)
    [2018-04-04 11:17:13] Startup - updater built Mar 26 2018 14:22:52
    Looks like steam didn't shutdown cleanly, scheduling immediate update check
    [2018-04-04 11:17:13] Checking for update on startup
    [2018-04-04 11:17:13] Checking for available updates...
    [2018-04-04 11:17:13] Download skipped: /client/steam_client_ubuntu12 version 1522101301, installed version 1522101301
    [2018-04-04 11:17:13] Nothing to do
    [2018-04-04 11:17:13] Verifying installation...
    [2018-04-04 11:17:13] Performing checksum verification of executable files
    [2018-04-04 11:17:13] Verification complete
    [2018-04-04 11:17:18] Shutdown
    wellywu@linux-3uuk:~>
    I did a clean installation of OpenSuSE Tumbleweed [as of 04/03/2018 snapshot] on my mid-2017 AVA Direct gaming desktop PC again. This time, the free and open source graphical stack has been updated an my ASUS ROG STRIX AMD Radeon RX Vega 64-O8G 8GB HBM2 GPU has 3D hardware acceleration enabled. Now, I can install Steam, but it won't load up properly. I keep getting a failed to load steamui.so error and please read my code dump. If someone can help me to solve this problem, then thank you.

  2. #2
    Join Date
    Apr 2011
    Location
    Nutley, NJ USA
    Posts
    354

    Default Re: Failed to load steamui.so

    Nevermind. I reinstalled and it works.

  3. #3
    Join Date
    Apr 2011
    Location
    Nutley, NJ USA
    Posts
    354

    Default Re: Failed to load steamui.so

    On my mid-2016 Acer Predator 17X (GX-791) gaming notebook PC, Steam is not able to run again. Here is the code dump:

    Code:
    Running Steam on opensuse 20180406 64-bit
    STEAM_RUNTIME is disabled by the user
    Error: You are missing the following 32-bit libraries, and Steam may not run:
    libXtst.so.6
    libva.so.1
    libvdpau.so.1
    libva.so.1
    libva-x11.so.1
    Installing breakpad exception handler for appid(steam)/version(1522709999)
    Installing breakpad exception handler for appid(steam)/version(1522709999)
    Installing breakpad exception handler for appid(steam)/version(1522709999)
    Installing breakpad exception handler for appid(steam)/version(1522709999)
    Installing breakpad exception handler for appid(steam)/version(1522709999)
    Installing breakpad exception handler for appid(steam)/version(1522709999)
    Installing breakpad exception handler for appid(steam)/version(1522709999)
    Installing breakpad exception handler for appid(steam)/version(1522709999)
    Installing breakpad exception handler for appid(steam)/version(1522709999)
    Installing breakpad exception handler for appid(steam)/version(1522709999)
    Installing breakpad exception handler for appid(steam)/version(1522709999)
    Installing breakpad exception handler for appid(steam)/version(1522709999)
    Installing breakpad exception handler for appid(steam)/version(1522709999)
    Installing breakpad exception handler for appid(steam)/version(1522709999)
    Installing breakpad exception handler for appid(steam)/version(1522709999)
    Installing breakpad exception handler for appid(steam)/version(1522709999)
    Installing breakpad exception handler for appid(steam)/version(1522709999)
    Installing breakpad exception handler for appid(steam)/version(1522709999)
    Installing breakpad exception handler for appid(steam)/version(1522709999)
    Installing breakpad exception handler for appid(steam)/version(1522709999)
    Installing breakpad exception handler for appid(steam)/version(1522709999)
    Installing breakpad exception handler for appid(steam)/version(1522709999)
    Installing breakpad exception handler for appid(steam)/version(1522709999)
    Installing breakpad exception handler for appid(steam)/version(1522709999)
    Installing breakpad exception handler for appid(steam)/version(1522709999)
    Installing breakpad exception handler for appid(steam)/version(1522709999)
    Installing breakpad exception handler for appid(steam)/version(1522709999)
    Installing breakpad exception handler for appid(steam)/version(1522709999)
    Installing breakpad exception handler for appid(steam)/version(1522709999)
    Installing breakpad exception handler for appid(steam)/version(1522709999)
    [2018-04-08 22:34:29] Startup - updater built Apr  2 2018 15:23:43
    [2018-04-08 22:34:29] Verifying installation...
    [2018-04-08 22:34:29] Unable to read and verify install manifest /home/wellywu/.local/share/Steam/package/steam_client_ubuntu12.installed
    [2018-04-08 22:34:29] Verification complete
    [2018-04-08 22:34:29] Downloading update...
    [2018-04-08 22:34:29] Checking for available updates...
    [2018-04-08 22:34:29] Download complete.
    [2018-04-08 22:34:29] uninstalled manifest found in /home/wellywu/.local/share/Steam/package/steam_client_ubuntu12 (1).
    [2018-04-08 22:34:29] Extracting package...
    [2018-04-08 22:34:34] Installing update...
    [2018-04-08 22:34:37] Cleaning up...
    [2018-04-08 22:34:37] Update complete, launching Steam...
    [2018-04-08 22:34:37] Shutdown
    Restarting Steam by request...
    Running Steam on opensuse 20180406 64-bit
    STEAM_RUNTIME is disabled by the user
    Error: You are missing the following 32-bit libraries, and Steam may not run:
    libXtst.so.6
    libva.so.1
    libvdpau.so.1
    libva.so.1
    libva-x11.so.1
    Installing breakpad exception handler for appid(steam)/version(1522709999)
    Installing breakpad exception handler for appid(steam)/version(1522709999)
    Failed to load steamui.so - dlerror(): libXtst.so.6: cannot open shared object file: No such file or directory
    [2018-04-08 22:34:40] Startup - updater built Apr  2 2018 15:23:43
    [2018-04-08 22:34:40] Verifying installation...
    [2018-04-08 22:34:40] Verification complete
    [2018-04-08 22:34:42] Shutdown
    wellywu@linux-7beh:~> steam
    Running Steam on opensuse 20180406 64-bit
    STEAM_RUNTIME is enabled automatically
    Gtk-Message: 22:34:47.462: GtkDialog mapped without a transient parent. This is discouraged.
    Found newer runtime version for 32-bit libgtk-x11-2.0.so.0. Host: 0.2400.32 Runtime: 0.2400.10
    Found newer runtime version for 32-bit libdbus-1.so.3. Host: 3.19.4 Runtime: 3.5.8
    Found newer runtime version for 64-bit libGLU.so.1. Host: 1.3.1 Runtime: 1.3.8004
    Installing breakpad exception handler for appid(steam)/version(1522709999)
    Installing breakpad exception handler for appid(steam)/version(1522709999)
    Installing breakpad exception handler for appid(steam)/version(1522709999)
    OpenGL GLX extension not supported by displayMain.cpp (323) : Assertion Failed: Fatal Error: OpenGL GLX extension not supported by display
    Assert( Assertion Failed: Fatal Error: OpenGL GLX extension not supported by display ):Main.cpp:323
    
    Installing breakpad exception handler for appid(steam)/version(1522709999)
    assert_20180408223513_5.dmp[24292]: Uploading dump (out-of-process)
    /tmp/dumps/assert_20180408223513_5.dmp
    assert_20180408223513_5.dmp[24292]: Finished uploading minidump (out-of-process): success = yes
    assert_20180408223513_5.dmp[24292]: response: CrashID=bp-9b097f37-cce2-4cea-8f5c-a6a932180408
    assert_20180408223513_5.dmp[24292]: file ''/tmp/dumps/assert_20180408223513_5.dmp'', upload yes: ''CrashID=bp-9b097f37-cce2-4cea-8f5c-a6a932180408''
    wellywu@linux-7beh:~> STEAM_RUNTIME=0 steam
    Running Steam on opensuse 20180406 64-bit
    STEAM_RUNTIME is disabled by the user
    Error: You are missing the following 32-bit libraries, and Steam may not run:
    libXtst.so.6
    libva.so.1
    libvdpau.so.1
    libva.so.1
    libva-x11.so.1
    Installing breakpad exception handler for appid(steam)/version(1522709999)
    Installing breakpad exception handler for appid(steam)/version(1522709999)
    Installing breakpad exception handler for appid(steam)/version(1522709999)
    Failed to load steamui.so - dlerror(): libXtst.so.6: cannot open shared object file: No such file or directory
    Installing breakpad exception handler for appid(steam)/version(1522709999)
    Installing breakpad exception handler for appid(steam)/version(1522709999)
    [2018-04-08 22:35:36] Startup - updater built Apr  2 2018 15:23:43
    Looks like steam didn't shutdown cleanly, scheduling immediate update check
    [2018-04-08 22:35:36] Checking for update on startup
    [2018-04-08 22:35:36] Checking for available updates...
    [2018-04-08 22:35:36] Download skipped: /client/steam_client_ubuntu12 version 1522709999, installed version 1522709999
    [2018-04-08 22:35:36] Nothing to do
    [2018-04-08 22:35:36] Verifying installation...
    [2018-04-08 22:35:36] Performing checksum verification of executable files
    [2018-04-08 22:35:37] Verification complete
    [2018-04-08 22:35:38] Shutdown
    wellywu@linux-7beh:~>
    Here is more code dump:

    Code:
    wellywu@linux-7beh:~> glxinfo | grep -i "OpenGL renderer"
    Error: couldn't find RGB GLX visual or fbconfig
    wellywu@linux-7beh:~> sudo lspci -nnnk | grep "VGA\|'Kern'\|3D\|Display" -A2
    01:00.0 VGA compatible controller [0300]: NVIDIA Corporation GM204M [GeForce GTX 980 Mobile] [10de:161a] (rev a1)
            Subsystem: Acer Incorporated [ALI] Device [1025:108b]
            Kernel modules: nouveau, nvidia_drm, nvidia
    wellywu@linux-7beh:~> mhwd-gpu --status
    If 'mhwd-gpu' is not a typo you can use command-not-found to lookup the package that contains it, like this:
        cnf mhwd-gpu
    wellywu@linux-7beh:~> glxinfo -B
    name of display: :0
    Error: couldn't find RGB GLX visual or fbconfig
    What is going on here? I am a beginner to OpenSuSE Tumbleweed, but I am not new to GNU/Linux. Would someone please reply with solutions? Thank you.

    By the way, is nouveau loading at boot up? Should I blacklist nouveau? How do I do that?

  4. #4
    Join Date
    Apr 2011
    Location
    Nutley, NJ USA
    Posts
    354

    Default Re: Failed to load steamui.so

    I added the OpenSuSE Tumbleweed software repository for Nvidia and I uninstalled the proprietary graphics drivers and restarted my GX-791. Next, I installed the proprietary Nvidia graphics drivers the easy way and restarted. Now, KInfo is showing that my OpenGL vendor is VMWare, Inc. using LLVM 6.0.0. Glxinfo-B shows the same error.

    How do I get my GX-791 and OpenSuSE Tumbleweed to utilize the proprietary nVidia graphics driver properly? Is this just a matter of Linux kernel 4.16 being too new for the nVidia graphics driver to catch up yet? What do I need to know to fix this problem? Should I install OpenSuSE Leap 42.3 64 bit?

  5. #5
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    6,722

    Default AW: Failed to load steamui.so

    Nvidia Drivers does not working without patching in Tumbleweed with Kernel 4.16.

    Driver in Repo will be rebuild with the Patch and published .
    See:
    https://bugzilla.opensuse.org/show_bug.cgi?id=1088651

  6. #6
    Join Date
    Apr 2011
    Location
    Nutley, NJ USA
    Posts
    354

    Default Re: Failed to load steamui.so

    We must be on the same wavelength: https://forums.opensuse.org/showthre...rs-are-failing

    I'll just wait and update. Thanks. I don't really know how to manually patch and I don't want to mess things up. Just wait and update.

    lmfao

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •